
/* This keeps child nodes hidden while the element loads */
:not(:defined) > * {
display: none;
}

model-viewer{
	width:100%;
	height:75vh;
	margin-right:auto;
	margin-left:auto;
	overflow-x: hidden;
    border: 1px solid #ccc;
    margin-bottom: 20px;
	
	
    /* Flexbox configuration */
    display: flex;
    flex-direction: column;
    justify-content: space-between; /* Distribui o espaço entre os elementos */
    align-items: center; /* Centraliza horizontalmente */
	
	
    box-shadow: 4px 4px 4px #bbb;
}

.whiteBackground{
	background-color: #FFFFFF;
}

.blackBackground{
	background-color: #2d2d2d;
}


		  
		  
.custom-progress-bar {
	display: block;
	width: 33%;
	height: 10%;
	max-height: 2%;
	position: absolute;
	left: 50%;
	top: 50%;
	transform: translate3d(-50%, -50%, 0);
	border-radius: 25px;
	box-shadow: 0px 3px 10px 3px rgba(0, 0, 0, 0.5), 0px 0px 5px 1px rgba(0, 0, 0, 0.6);
	border: 1px solid rgba(255, 255, 255, 0.9);
	background-color: rgba(0, 0, 0, 0.5);
}

.custom-update-bar {
	/*background: linear-gradient(to right, 
	hsl(0, 100%, 50%),
	hsl(60, 100%, 50%),
	hsl(120, 100%, 50%),
	hsl(180, 100%, 50%),
	hsl(240, 100%, 50%),
	hsl(300, 100%, 50%),
	hsl(360, 100%, 50%));*/
	background-color: #18ba60;
	width: 70%;
	height: 100%;
	border-radius: 25px;
	float: left;
	transition: width 0.3s;
}

#ar-button {
background-image: url(../../assets/ic_view_in_ar_new_googblue_48dp.png);
background-repeat: no-repeat;
background-size: 20px 20px;
background-position: 12px 50%;
background-color: #fff;
position: absolute;
left: 50%;
transform: translateX(-50%);
white-space: nowrap;
bottom: 155px;
padding: 0px 16px 0px 40px;
font-family: Roboto Regular, Helvetica Neue, sans-serif;
font-size: 14px;
color:#4285f4;
height: 36px;
line-height: 36px;
border-radius: 18px;
border: 1px solid #DADCE0;
}

#ar-button:active {
background-color: #E8EAED;
}

#ar-button:focus {
outline: none;
}

#ar-button:focus-visible {
outline: 1px solid #4285f4;
}

@keyframes circle {
from { transform: translateX(-50%) rotate(0deg) translateX(50px) rotate(0deg); }
to   { transform: translateX(-50%) rotate(360deg) translateX(50px) rotate(-360deg); }
}

@keyframes elongate {
from { transform: translateX(100px); }
to   { transform: translateX(-100px); }
}

model-viewer > #ar-prompt {
position: absolute;
bottom: 175px;
/*animation: elongate 2s infinite ease-in-out alternate;*/
display: none;
}

model-viewer[ar-status="session-started"] > #ar-prompt {
display: block;
}

model-viewer > #ar-prompt > img {
/*animation: circle 4s linear infinite;*/
}

model-viewer > #ar-failure {
position: absolute;
left: 50%;
transform: translateX(-50%);
bottom: 175px;
display: none;
}

model-viewer[ar-tracking="not-tracking"] > #ar-failure {
display: block;
}

.slider {
width: 100%;
text-align: center;
overflow: hidden;
position: absolute;
bottom: 16px;
}

.slides {
display: flex;
overflow-x: auto;
scroll-snap-type: x mandatory;
scroll-behavior: smooth;
-webkit-overflow-scrolling: touch;
}

.slide {
scroll-snap-align: start;
flex-shrink: 0;
width: 100px;
height: 100px;
background-size: contain;
background-repeat: no-repeat;
background-position: center;
background-color: #fff;
margin-right: 10px;
margin-left: 10px;
border-radius: 10px;
border: none;
display: flex;
}

.slide.selected {
border: 2px solid #4285f4;
}

.slide:focus {
outline: none;
}

.slide:focus-visible {
outline: 1px solid #4285f4;
}

.dot{
    display: none;
  }

  .dim{
    background: #fff;
    border-radius: 4px;
    border: none;
    box-sizing: border-box;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.25);
    color: rgba(0, 0, 0, 0.8);
    display: block;
    font-family: Futura, Helvetica Neue, sans-serif;
    font-size: 1em;
    font-weight: 700;
    max-width: 128px;
    overflow-wrap: break-word;
    padding: 0.5em 1em;
    position: absolute;
    width: max-content;
    height: max-content;
    transform: translate3d(-50%, -50%, 0);
    pointer-events: none;
    --min-hotspot-opacity: 0;
  }

  @media only screen and (max-width: 800px) {
    .dim{
      font-size: 3vw;
    }
  }

  .dimensionLineContainer{
    pointer-events: none;
    display: block;
  }

  .dimensionLine{
    stroke: #f27849;
    stroke-width: 3;
    stroke-dasharray: 2;
  }

  .hide{
    display: none;
  }
  /* This keeps child nodes hidden while the element loads */
  :not(:defined) > * {
    display: none;
  }